Subject: Re: bug#18265: 24.3.92; lisp-completion-at-point should return nil in comments, unless after `

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 Aug 2014 14:00:22 -0400

> You've called ":exclusive no" a hack yourself before, and :merge-with-rest
> looks not much different to me, going counter to the c-a-p-f interface.

While it's "counter to the c-a-p-f interface", the need to combine
several backends is sufficiently common that we need to support it somehow.

I hope a "merge" solution can use a less hackish solution than the
current ":exclusive no".

> It raises questions, like if `lisp-completion-at-point' would like to be
> merged with the rest, will it be merged with all of them?

That'd be my choice, so far, yes.

> Won't the other completion functions get a choice in the matter?

Not sure if/when this would be needed.  I'd rather avoid it if I can.

> What if one of them is smart enough to provide all completions for the
> current context, by itself?

Then it should come earlier.

> And anyway, it doesn't seem to help with the distinction between manual and
> idle completion,

Indeed, it's a largely orthogonal issue.

        Stefan